Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003437TestLinkTest Specificationpublic2010-05-06 18:482010-10-09 08:01
Reportergodtesen 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.5 (bug fixing) 
Fixed in Version1.9 RC 1 
Summary0003437: TC version not visible in generated test specification
Descriptionafter setting tc_version_enabled to TRUE the test case version is supposed to be visible in the generated test specification, but this is not the case - no version information is visible.
Additional InformationWe need to be able to have the version information visible in the generated test specifications for review purposes, so a fix would be greately appreciated.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE7 + firefox
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon testlink.JPG [^] (117,108 bytes) 2010-09-14 05:43

- Relationships

-  Notes
(0009939)
godtesen (reporter)
2010-05-06 20:52

We have managed to get versions on testcases in test report and test plan by adding the missing ">" in print.inc.php (<span style="font-size: 80%;"> )
But this didn't help when generating the test specification.
(0011333)
fman (administrator)
2010-09-12 12:56

Try with
$tlCfg->document_generator->tc_version_enabled = TRUE;

Please let us know
(0011337)
godtesen (reporter)
2010-09-13 08:23

that was what we did from the beginning of :-)

in the file custom_config.inc.php we added:

$tlCfg->document_generator->tc_version_enabled = TRUE;

And that doesn't make any difference :-)
(0011338)
godtesen (reporter)
2010-09-13 12:17

Oh I may have written the original error description so that you think that I need to get the version number in the test report. This is not the case, that part works all right.
In the left side of the appliaction you have the possibility to generate test specification document, and it is here I need the version to be visible for each test case.
(0011342)
fman (administrator)
2010-09-13 15:29

test case version is not displayed in tree if this is what you want.
details are not clear enough
(0011343)
godtesen (reporter)
2010-09-14 05:43

look at attached file. In frontpage of Testlink, lower left corner there is a link called "Generate test specification". As a result of this a word document is generated and for each test case in this test specification I need the version number to visible.
(0011789)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-05-06 18:48 godtesen New Issue
2010-05-06 18:48 godtesen Browser => IE7 + firefox
2010-05-06 20:52 godtesen Note Added: 0009939
2010-09-12 12:56 fman Note Added: 0011333
2010-09-12 12:56 fman Assigned To => fman
2010-09-12 12:56 fman Status new => feedback
2010-09-13 08:23 godtesen Note Added: 0011337
2010-09-13 08:23 godtesen Status feedback => assigned
2010-09-13 12:17 godtesen Note Added: 0011338
2010-09-13 15:29 fman Note Added: 0011342
2010-09-14 05:43 godtesen Note Added: 0011343
2010-09-14 05:43 godtesen File Added: testlink.JPG
2010-09-14 16:55 fman Status assigned => resolved
2010-09-14 16:55 fman Fixed in Version => 1.9 RC 1
2010-09-14 16:55 fman Resolution open => fixed
2010-10-09 08:01 fman Note Added: 0011789
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker